LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XSheetAnnotation Interface Referencepublished

provides methods to query data of the annotation and to show and hide it. More...

`import"XSheetAnnotation.idl";`

Inheritance diagram for XSheetAnnotation:

## Public Member Functions
com::sun::star::table::CellAddress | getPosition ()
| returns the position of cell in the spreadsheet document that contains this annotation. More...
string | getAuthor ()
| returns the name of the user who last changed the annotation. More...
string | getDate ()
| returns a formatted string representing the date when the annotation was last changed. More...
boolean | getIsVisible ()
| returns, whether the annotation is permanently visible. More...
void | setIsVisible ([in] boolean bIsVisible)
| specifies whether the annotation is permanently visible. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

provides methods to query data of the annotation and to show and hide it.

See also
  com::sun::star::sheet::CellAnnotation

Developers Guide
  Spreadsheet Documents - Cell Annotations

## Member Function Documentation

## ◆ getAuthor()

string getAuthor | ( |  | ) |

returns the name of the user who last changed the annotation.

## ◆ getDate()

string getDate | ( |  | ) |

returns a formatted string representing the date when the annotation was last changed.

## ◆ getIsVisible()

boolean getIsVisible | ( |  | ) |

returns, whether the annotation is permanently visible.

## ◆ getPosition()

com::sun::star::table::CellAddress getPosition | ( |  | ) |

returns the position of cell in the spreadsheet document that contains this annotation.

## ◆ setIsVisible()

void setIsVisible | ( | [in] boolean | bIsVisible | ) |

specifies whether the annotation is permanently visible.

The documentation for this interface was generated from the following file:

- com/sun/star/sheet/XSheetAnnotation.idl